StringRepresentableType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface StringRepresentableType<T>

All Known Implementing Classes:
  AbstractBynaryType, AbstractCharArrayType, AbstractLongBinaryType, AbstractLongStringType, AbstractSingleColumnStandardBasicType, AbstractStandardBasicType, AdaptedImmutableType, BigDecimalType, BigIntegerType, BinaryType, BlobType, BooleanType, ByteType, CalendarDateType, CalendarType, CharacterArrayClobType, CharacterArrayType, CharacterType, CharArrayType, CharBooleanType, ClassType, ClobType, CurrencyType, DateType, DbTimestampType, DoubleType, FloatType, ImageType, ImmutableType, IntegerType, LocaleType, LongType, MaterializedBlobType, MaterializedClobType, MutableType, NullableType, NumericBooleanType, PostgresUUIDType, PrimitiveCharacterArrayClobType, SerializableType, ShortType, StringType, TextType, TimestampType, TimeType, TimeZoneType, TrueFalseType, UrlType, UUIDBinaryType, UUIDCharType, WrappedMaterializedBlobType, WrapperBinaryType, YesNoType

    public interface StringRepresentableType<T>

Additional, optional contract for types capable of rendering and consuming their values to/from strings.

Method Summary
`T` | `fromStringValue(String string)` Consume the given string representation back into this types java form.
`String` | `toString(T value)` Render the value to the string representation.

Method Detail

### toString

    String toString(T value)
                    throws HibernateException

  Render the value to the string representation.

  Parameters:
    `value` - The value to render to string.
  Returns:
    The string representation
  Throws:
    `HibernateException` - Problem rendering

### fromStringValue

    T fromStringValue(String string)
                      throws HibernateException

  Consume the given string representation back into this types java form.

  Parameters:
    `string` - The string representation to be consumed.
  Returns:
    The java type representation
  Throws:
    `HibernateException` - Problem consuming

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.